import { LicenseKeyDto, LicenseResponseDto } from "../dtos/license.dto";
import { ServerAboutResponseDto, ServerApkLinksDto, ServerConfigDto, ServerFeaturesDto, ServerMediaTypesResponseDto, ServerPingResponse, ServerStatsResponseDto, ServerStorageResponseDto } from "../dtos/server.dto";
import { BaseService } from "./base.service";
export declare class ServerService extends BaseService {
    onBootstrap(): Promise<void>;
    getAboutInfo(): Promise<ServerAboutResponseDto>;
    getApkLinks(): ServerApkLinksDto;
    getStorage(): Promise<ServerStorageResponseDto>;
    ping(): ServerPingResponse;
    getFeatures(): Promise<ServerFeaturesDto>;
    getSystemConfig(): Promise<ServerConfigDto>;
    getStatistics(): Promise<ServerStatsResponseDto>;
    getSupportedMediaTypes(): ServerMediaTypesResponseDto;
    deleteLicense(): Promise<void>;
    getLicense(): Promise<LicenseResponseDto>;
    setLicense(dto: LicenseKeyDto): Promise<LicenseResponseDto>;
}
